Bug 487858 - Should clean up before starting
Should clean up before starting
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: udev (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Harald Hoyer
BaseOS QE
:
Depends On: 442827
Blocks: 484891
  Show dependency treegraph
 
Reported: 2009-02-28 06:51 EST by Alan Pevec
Modified: 2009-09-02 07:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 442827
Environment:
Last Closed: 2009-09-02 07:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2009-02-28 06:51:10 EST
+++ This bug was initially created as a clone of Bug #442827 +++

udevd should probably clean up or at least ignore things from /dev/.udev/queue/
that are there from before it started to avoid long timeouts when we run udev in
the initrd and then kill it while preserving /dev (to allow the udevd from the
actual filesystem to run)

Encoding this sort of thing in the initrd's /init is almost certainly doomed to
failure down the line when udev changes implementation details of how it works.

--- Additional comment from harald@redhat.com on 2008-05-06 06:38:02 EDT ---

* Tue May 06 2008 Harald Hoyer <harald@redhat.com> 120-5.20080421git
- remove /dev/.udev in start_udev (bug #442827)

http://koji.fedoraproject.org/koji/taskinfo?taskID=597426
Comment 5 Harald Hoyer 2009-05-05 11:47:20 EDT
Please test the erratum candidate:
http://people.redhat.com/harald/downloads/udev/udev-095.14.21.el5/
Comment 7 Miroslav Vadkerti 2009-06-18 09:25:16 EDT
VERIFIED as fixed in udev-095-14.21.el5
Comment 10 errata-xmlrpc 2009-09-02 07:15:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1346.html

Note You need to log in before you can comment on or make changes to this bug.